<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Constructors</title>
</head>
<body>

  <div class="wrap">
    <header>
      <form>
        <label for="author">
          <span>Author</span>
          <select id="author" name="author">
            <option value="Ivan Grach">Ivan Grach</option>
            <option value="Taras Stolyar">Taras Stolyar</option>
            <option value="Bohdan Hmelnitskiy">Bohdan Hmelnitskiy</option>
            <option value="Oles Gonchar">Oles Gonchar</option>
          </select>
        </label>

        <label for="message">
          <span>Message</span>
          <textarea placeholder="Your Message" id="message"></textarea>
        </label>
      </form>
    </header>

    <section>
      <ul>
        <li>
            <div class="message__date">
              27/01/2018
            </div>
            <div class="message__author">
              <b>Ivan Grach</b>
            </div>
            <div class="message__text">
              Test...
            </div>
            <div class="message__controls">
              <button class="_skipMessage">Skip</button>
              <button class="_answerMessage">Answer</button>
              <button class="_sendMessage">Send</button>
            </div>

        </li>



      </ul>

    </section>



  </div>


  <script>
  /*
    Задание на классы.

    Создать класс Message конструктор котрого состоит из следующих полей:
    id, author, text, date, answers

    У этого класса будет три метода:
    SkipMessage() -> которое должно найти сообщение и удалить его из массива.
    AnswerMessage()-> должно отрыть поле ввода, в который вы сможете ввести ответ
    SendAnswer() -> метод который «отравляет» ответ, при этом апдейча поле ответа в вашем объекте с сообщением.

    В метод SendAnswer нужно передать обьект класса Answer который наследуется от класса Message,
    Но еще дополнительно будет иметь поле parentId.


    После создании сообщение добавляется в массив со всеми сообщениями, которые потом будут выводится на экран.

    _ _ _

    Задание можно разбелить на две части:
      1. Создание самого сообщения:
      id->выдаётся автоматом
      Author-> селект с выбором автора
      Text -> текст сообщения
      date -> автоматически в момент создания

      Все данные беруться с формы. Массив с сообщениями передается в функцию рендера, которая генерирует сам список.

      2. Ответ на сообщение
  */
let form = document.getElementById("author");
// console.log(form.value.split(' ')[1]);
let message = document.getElementById("message");
var d = new Date();
let date = d.getDate()+"/"+d.getMonth()+"/"+d.getFullYear()+" "+d.getHours()+":"+d.getMinutes()+":"+d.getSeconds();
    // console.log(date);

var arrayMessage = [];
  class Message {
      constructor(){
          this.id = form.value.split(' ')[1];
          this.autor = form.value;
          this.text = message.value;
          this.date = date;

      }
      SkipMessage(){
      let skip = document.getElementsByClassName("_skipMessage").
      skip.addEventListener("click", function(){
          arrayMessage.forEach(function(i){
              arrayMessage.splice(i,i);
          })
      })
      }
      AnwerMessage(){
          let answer = document.getElementsByClassName("_answerMessage");
          answer.addEventListener("click", function(){

      })
      SendAnswer(){

      }
  arrayMessage.push(this);
  }


}
  </script>
</body>
</html>
